NEWS

(gelöst) IOBROKER installation klappt nicht / npm Fehler



  • @simpixo:

    @simpixo:

    Leider geht das Script nicht, sofern du von Wheezy auf Jessie migrierst funktioniert es auch, aber sofern du eine neu Installation durchführst mit dem neusten Jessie Image auf dem Raspberry PI 3 erhälst du am Ende einen Fehler "unerwartetes Zeilenende in Zeile 69" oder so, den genauen Wortlaut weiß ich nicht mehr genau. Der ioBroker Dienst ist leider nicht eingetragen und ioBroker startet nicht mehr automatisch nach einem reboot.

    Ich kann das jetzt nicht vollständig nachvollziehen, da ich nur ein System habe und dies zurzeit produktiv ist (never change a running system), von der Fehlermeldung und der Zeilennummer tippe ich darauf, dass es am letzten Zeilenumbruch in der Datei /install/linux/install.sh liegt.

    Laut Debian-Forum haben auch andere User seit Umstellung auf die in Jessie enthaltenen bash-Version Probleme mit Batch-Skripten, die unter Windows gespeichert wurden und somit am Ende der letzten Zeile kein Linux-konformer Zeilenumbruch ist.

    Die Datei hat 68 Zeilen, somit kommt das mit der Fehlermeldung für Zeile 69 hin.



  • @nobody:

    @simpixo:

    @simpixo:

    Leider geht das Script nicht, sofern du von Wheezy auf Jessie migrierst funktioniert es auch, aber sofern du eine neu Installation durchführst mit dem neusten Jessie Image auf dem Raspberry PI 3 erhälst du am Ende einen Fehler "unerwartetes Zeilenende in Zeile 69" oder so, den genauen Wortlaut weiß ich nicht mehr genau. Der ioBroker Dienst ist leider nicht eingetragen und ioBroker startet nicht mehr automatisch nach einem reboot.

    Ich kann das jetzt nicht vollständig nachvollziehen, da ich nur ein System habe und dies zurzeit produktiv ist (never change a running system), von der Fehlermeldung und der Zeilennummer tippe ich darauf, dass es am letzten Zeilenumbruch in der Datei /install/linux/install.sh liegt.

    Laut Debian-Forum haben auch andere User seit Umstellung auf die in Jessie enthaltenen bash-Version Probleme mit Batch-Skripten, die unter Windows gespeichert wurden und somit am Ende der letzten Zeile kein Linux-konformer Zeilenumbruch ist.

    Die Datei hat 68 Zeilen, somit kommt das mit der Fehlermeldung für Zeile 69 hin. `

    Ok das hört sich schon mal gut an, konnte ich auch nachvollziehen, obwohl die Datei von mir nicht verändert worden ist. Denn der Fehler kommt ja bei der Installation. Aber ich habe meine Datei kontrolliert und jetzt spuckt die Datei keinen Fehler mehr raus.

    Aber wie kann ich es jetzt im Nachhinein einrichten das ioBroker wieder nach einem reboot automatisch startet?



  • @simpixo:

    @nobody:

    @simpixo: `

    Ich kann das jetzt nicht vollständig nachvollziehen, da ich nur ein System habe und dies zurzeit produktiv ist (never change a running system), von der Fehlermeldung und der Zeilennummer tippe ich darauf, dass es am letzten Zeilenumbruch in der Datei /install/linux/install.sh liegt.

    Laut Debian-Forum haben auch andere User seit Umstellung auf die in Jessie enthaltenen bash-Version Probleme mit Batch-Skripten, die unter Windows gespeichert wurden und somit am Ende der letzten Zeile kein Linux-konformer Zeilenumbruch ist.

    Die Datei hat 68 Zeilen, somit kommt das mit der Fehlermeldung für Zeile 69 hin. `

    Ok das hört sich schon mal gut an, konnte ich auch nachvollziehen, obwohl die Datei von mir nicht verändert worden ist. Denn der Fehler kommt ja bei der Installation. Aber ich habe meine Datei kontrolliert und jetzt spuckt die Datei keinen Fehler mehr raus.

    Aber wie kann ich es jetzt im Nachhinein einrichten das ioBroker wieder nach einem reboot automatisch startet? `

    Nachdem das unsichtbare Zeichen entfernt war, habe ich den Dienst nochmal mit

    update-rc.d script_name defaults

    jetzt hat er es ohne einen Fehler eingetragen. Auch ein reboot zeigte das iobroker jetzt automatisch startet 😄 😄 😄 Also lag es wirklich nur an dem unsichtbaren Zechen, aber es musste ja schon von Anfang an drin gewesen sein, da der Fehler bei der Installation kam

    Danke :!:



  • @Jey Cee:

    Achtung der folgende befehl löscht alle gefundenen dateien.

    Find -name node -delete

    Gesendet von meinem Jolla mit Tapatalk `

    Das geht nicht da kommt:

    root@raspberrypi:/home/pi# Find -name node -delete

    bash: Find: Kommando nicht gefunden.

    root@raspberrypi:/home/pi#

    Wenn ich jetzt npm install iobroker installiere kommt die Meldung das ich nicht als root angemeldet bin.

    hab aber vorher sudo su angegeben. Bei Jessie scheint das ja ein wenig anders zu sein. was kann ich machen?



  • Klein geschriebenes find

    Es reicht, wenn du /usr/bin/node löschst.



  • Hi ok das klappte.Hab dann Node nachinstalliert und dann Iobroker aber es kommt die Meldung das ich es als root versuchen soll. Mache ich aber!

    root@raspberrypi:/home/pi# wget http://download.iobroker.net/nodejs0_12_6_armhf.deb
    --2016-03-14 18:59:01--  http://download.iobroker.net/nodejs0_12_6_armhf.deb
    Auflösen des Hostnamen »download.iobroker.net (download.iobroker.net)«... 5.189.159.127, 2a02:c200:1:10:3:1:51:1
    Verbindungsaufbau zu download.iobroker.net (download.iobroker.net)|5.189.159.127|:80... verbunden.
    HTTP-Anforderung gesendet, warte auf Antwort... 200 OK
    Länge: 6728900 (6,4M) [application/x-debian-package]
    In »»nodejs0_12_6_armhf.deb«« speichern.
    
    nodejs0_12_6_armhf. 100%[=====================>]   6,42M   998KB/s   in 5,7s
    
    2016-03-14 18:59:07 (1,13 MB/s) - »»nodejs0_12_6_armhf.deb«« gespeichert [6728900/6728900]
    
    root@raspberrypi:/home/pi# dpkg -i nodejs0_12_6_armhf.deb
    (Lese Datenbank ... 125413 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von nodejs0_12_6_armhf.deb ...
    Entpacken von node (0.12.6-1) über (0.12.6-1) ...
    node (0.12.6-1) wird eingerichtet ...
    Trigger für man-db (2.7.0.2-5) werden verarbeitet ...
    root@raspberrypi:/home/pi# rm nodejs0_12_6_armhf.deb
    root@raspberrypi:/home/pi# cd /opt/iobroker
    root@raspberrypi:/opt/iobroker# npm install iobroker
    /
    > iobroker@0.7.0 install /opt/iobroker/node_modules/iobroker
    > node lib/setup.js
    
    npm install iobroker.js-controller --production --prefix /opt/iobroker
    npm ERR! Linux 4.1.18-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.js-controller" "--production" "--prefix" "/opt/iobroker"
    npm ERR! node v0.12.6
    npm ERR! npm  v2.11.2
    npm ERR! path /root/.npm/iobroker.js-controller/0.8.7/package
    npm ERR! code EACCES
    npm ERR! errno -13
    
    npm ERR! Error: EACCES, mkdir '/root/.npm/iobroker.js-controller/0.8.7/package'
    npm ERR!     at Error (native)
    npm ERR!  { [Error: EACCES, mkdir '/root/.npm/iobroker.js-controller/0.8.7/package']
    npm ERR!   errno: -13,
    npm ERR!   code: 'EACCES',
    npm ERR!   path: '/root/.npm/iobroker.js-controller/0.8.7/package' }
    npm ERR!
    npm ERR! Please try running this command again as root/Administrator.
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /opt/iobroker/node_modules/iobroker/npm-debug.log
    npm install iobroker.admin --production --prefix /opt/iobroker
    npm ERR! Linux 4.1.18-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.admin" "--production" "--prefix" "/opt/iobroker"
    npm ERR! node v0.12.6
    npm ERR! npm  v2.11.2
    npm ERR! path /root/.npm/iobroker.admin/0.8.6/package
    npm ERR! code EACCES
    npm ERR! errno -13
    
    npm ERR! Error: EACCES, mkdir '/root/.npm/iobroker.admin/0.8.6/package'
    npm ERR!     at Error (native)
    npm ERR!  { [Error: EACCES, mkdir '/root/.npm/iobroker.admin/0.8.6/package']
    npm ERR!   errno: -13,
    npm ERR!   code: 'EACCES',
    npm ERR!   path: '/root/.npm/iobroker.admin/0.8.6/package' }
    npm ERR!
    npm ERR! Please try running this command again as root/Administrator.
    
    npm ERR! Please include the following file with any support request:
    npm ERR!     /opt/iobroker/node_modules/iobroker/npm-debug.log
    Cannot install as normal user. Try sudo...
    sudo npm install iobroker.admin --production --prefix /opt/iobroker
    
    


  • Du musst erst als User Pi das Passwort für den Root User ändern! Das machst du mit

    sudo passwd Root

    Und dann musst du dich nicht als Pi sondern als Root am Raspberry Pi anmelden [emoji6]

    Ein sudo su reicht da leider nicht [emoji6]

    Gesendet von meinem iPhone mit Tapatalk



  • Hi

    ja bei Raspbian Wheezy ging das auch immer aber bei Raspbian Jessie kann man das zwar so eingeben aber er behällt diese Änderung nicht.

    Hast du für Jessie eine genaue Anleitung was ich da machen muss?



  • Ich rate mal, dass du mit ssh auf den pi zugreifst.

    Dann hilft folgendes:

    su root

    nano /etc/ssh/sshd_config

    Dann die folgende Zeile mit # auskommentieren:

    #PermitRootLogin without-password

    Datei speichern und anschließend den ssh - Dienst neu starten:

    /etc/init.d/ssh restart

    Gesendet von meinem GT-N8000 mit Tapatalk



  • Hi

    diese Zeile ist nicht vorhanden:

    # Package generated configuration file
    # See the sshd_config(5) manpage for details
    
    # What ports, IPs and protocols we listen for
    Port 22
    # Use these options to restrict which interfaces/protocols sshd will bind to
    #ListenAddress ::
    #ListenAddress 0.0.0.0
    Protocol 2
    # HostKeys for protocol version 2
    HostKey /etc/ssh/ssh_host_rsa_key
    HostKey /etc/ssh/ssh_host_dsa_key
    HostKey /etc/ssh/ssh_host_ecdsa_key
    HostKey /etc/ssh/ssh_host_ed25519_key
    #Privilege Separation is turned on for security
    UsePrivilegeSeparation yes
    
    # Lifetime and size of ephemeral version 1 server key
    KeyRegenerationInterval 3600
    
    


  • War bei mir auch, habe das ganz vergessen. Du bearbeitest scheinbar die falsche Datei, versuche

    sudo nano /etc/ssh/sshd_config

    Die Zeile: "PermitRootLogin without-password“

    in

    "PermitRootLogin yes“

    ändern.

    Mit der Taste „F3“ oder "STRG+O“ Speichern

    mit „Strg+X“ Datei schließen.

    SSH Server neustarten z.B. mit sudo reboot

    Gesendet von meinem iPhone mit Tapatalk



  • Hi

    das steht da nicht drin:

    root@raspberrypi:/home/pi# sudo nano /etc/ssh/sshd_config
      GNU nano 2.2.6          Datei: /etc/ssh/sshd_config
    
    # Package generated configuration file
    # See the sshd_config(5) manpage for details
    
    # What ports, IPs and protocols we listen for
    Port 22
    # Use these options to restrict which interfaces/protocols sshd will bind to
    #ListenAddress ::
    #ListenAddress 0.0.0.0
    Protocol 2
    # HostKeys for protocol version 2
    HostKey /etc/ssh/ssh_host_rsa_key
    HostKey /etc/ssh/ssh_host_dsa_key
    HostKey /etc/ssh/ssh_host_ecdsa_key
    HostKey /etc/ssh/ssh_host_ed25519_key
    #Privilege Separation is turned on for security
    UsePrivilegeSeparation yes
    
    # Lifetime and size of ephemeral version 1 server key
    KeyRegenerationInterval 3600
                                 [ 88 Zeilen gelesen ]
    ^G Hilfe     ^O Speichern ^R Datei öffn^Y Seite zurü^K Ausschneid^C Cursor
    ^X Beenden   ^J Ausrichten^W Wo ist    ^V Seite vor ^U Ausschn. r^T Rechtschr.
    
    


  • Drücke mal in Editor Strg + w dann kannst du suchen und gebe da einfach nur "permit" ein und bestätige mit enter! Oder navigiere mit den Pfeiltasten nach unten! Dir wird nicht die ganze Datei angezeigt [emoji6]

    Gesendet von meinem iPhone mit Tapatalk



  • Hi jepp hab nicht runtergescrollt. Hab es geändert. Teste es gerade mal.

    Danke schon mal

    Jetzt läuft es.



  • @audioconcept:

    Hi jepp hab nicht runtergescrollt. Hab es geändert. Teste es gerade mal.

    Danke schon mal

    Jetzt läuft es. `
    http://forum.iobroker.net/viewtopic.php?f=8&t=2451



  • Ich würde mich gerne noch mal anhängen. Nach einem Update, funktioniert mein ioBroker nicht mehr. Also wollte ich gerne eine ganz saubere neue Installation.

    Hardware: Raspberry Pi 3B+, Sandisc 8GB

    Linux: RASPBIAN STRETCH LITE, Juni 2018 Kernel 4.14

    Instalation/Einrichten:

    ! Image über Raspberry Pi Baker auf SD kopiert
    ! - SSH freigegeben
    ! sudo apt-get update
    ! sudo apt-get upgrade
    ! sudo raspi-config
    ! expandiert, Sprache, Zeitzone, Tastaturlayout, Name und Passwort eingestellt sowie ein update des Tool gemacht.
    ! reboot
    ! - feste IP-Adresse vergeben
    ! - root via SSH freigegeben
    ! - root Passwort vergeben

    Deinstallation Node, Nodejs:

    ! sudo apt-get –purge remove node
    ! sudo apt-get --purge remove nodejs
    ! sudo apt-get autoremove
    ! sudo reboot

    Als Root Node und Nodejs installieren

    ! :
    ! curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
    ! sudo apt-get install -y build-essential libavahi-compat-libdnssd-dev libudev-dev libpam0g-dev nodejs
    ! reboot

    Ergebnis:

    ! root@ioBroker:~# node -v
    ! v8.11.1
    ! root@ioBroker:~# nodejs -v
    ! v8.11.1
    ! root@ioBroker:~# npm -v
    ! -bash: npm: command not found

    Da npm nicht gefunden wird, kann auch ioBroder nicht installiert werden. Kann mir vielleicht jemand von euch auf die Sprünge helfen. Suche schon fast einen Tag nach einer Lösung…

    Komisch finde ich auch, obwohl ich node 6.x installiere, wird als version 8.x angezeigt, oder ist das normal?


  • Forum Testing Most Active Global Moderator Administrators

    Wann war das?

    es gibt dazu bereits mindestens zwei Threads; anscheinend aber inzwischen Entwarnung.

    @Mr. Burns:

    obwohl ich node 6.x installiere, wird als version 8.x angezeigt, `

    Das ist der Punkt

    siehe auch hier:

    viewtopic.php?f=17&t=15382&start=40

    Gruß

    Rainer



  • Hallo Rainer,

    vielen Dank!

    nachdem ich:

    sudo apt-get –purge remove node nodejs

    sudo apt-get autoremove

    und

    curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash -

    sudo npm install -g npm@4

    danach konnte ich mit:

    sudo mkdir /opt/iobroker

    cd /opt/iobroker

    sudo npm install iobroker --unsafe-perm

    installieren.


  • Forum Testing Most Active Global Moderator Administrators

    Super!

    bleibt aber meine Frage:
    @Homoran:

    Wann war das? `
    Wäre schön, wenn du das mir sagen würdest.

    Gruß

    Rainer



  • Letzte Woche hab ich meinen Raspberry Pi (2B) mit den aktuellen updates versorgt. Nach dem Neustart konnte der ioBroker nicht mehr gestartet werden. Nach einer Nachtschicht mit diversen updates, reinstalls hat dieser wieder gestartet. Allerdings stürzt dieser nach einigen Minuten immer wieder ab.

    Für mich nicht ersichtlich warum.

    Neuer Raspberry gekauft.

    Gestern Vormittag habe ich angefangen den neuen Raspberry neu aufzusetzen. Kurz bevor ich mich hier im Forum gemeldet habe (30min.) hatte ich noch mit einer Installation von Node und Nodejs versucht. (Nachdem ich Root Rechte per SSH vergeben habe…)

    Gruß


Log in to reply
 

Suggested Topics

1.4k
Online

32.4k
Users

39.0k
Topics

528.1k
Posts